
Figure - Bug #117925
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.gallery3d（5）
2023-05-15 11:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-15

Priority: High Due date: 2023-05-16

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305130049

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305190056

Reproducibility: Every time Fixed Version: 2023-05-16

Test Type: ST Root cause: AOSP问题

Description

【错误信息】

 CRASH: com.android.gallery3d (pid 14840)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke interface method 'void

com.android.gallery3d.filtershow.controller.Control.updateUI()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3332:user/test-keys

// Build Changelist: 3332

// Build Time: 1683913907000

// java.lang.NullPointerException: Attempt to invoke interface method 'void com.android.gallery3d.filtershow.controller.Control.updateUI()'

on a null object reference

//     at com.android.gallery3d.filtershow.editors.EditorColorBorder.selectMenuItem(EditorColorBorder.java:179)

//     at com.android.gallery3d.filtershow.editors.EditorColorBorder$2.onMenuItemClick(EditorColorBorder.java:136)

//     at android.widget.PopupMenu$1.onMenuItemSelected(PopupMenu.java:109)

//     at com.android.internal.view.menu.MenuBuilder.dispatchMenuItemSelected(MenuBuilder.java:788)

//     at com.android.internal.view.menu.MenuItemImpl.invoke(MenuItemImpl.java:152)

//     at com.android.internal.view.menu.MenuBuilder.performItemAction(MenuBuilder.java:935)

//     at com.android.internal.view.menu.MenuBuilder.performItemAction(MenuBuilder.java:925)

//     at com.android.internal.view.menu.MenuPopup.onItemClick(MenuPopup.java:128)

//     at android.widget.AdapterView.performItemClick(AdapterView.java:330)

//     at android.widget.AbsListView.performItemClick(AbsListView.java:1220)

//     at android.widget.AbsListView$PerformClick.run(AbsListView.java:3213)

//     at android.widget.AbsListView$3.run(AbsListView.java:4227)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
History

#1 - 2023-05-15 11:07 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117924%26925

#2 - 2023-05-15 19:15 - CDTS-TEST 周婷

- Due date set to 2023-05-16

明天入库

#3 - 2023-05-15 21:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200272 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Gallery2: Fix monkey crash for NPETC-RID: 0301-0300701IssueID: TS-R-BUG-117925Change-Id: I2a508cece7e3c0e762dfa2191c6b5ac0b25f7108

#4 - 2023-05-16 09:45 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-16

- Root cause set to AOSP问题

【当前状态】

问题已解决，待验证

【我的分析】

空指针异常，需要添加判断。

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/200272

#5 - 2023-05-18 15:00 - CD TEST-方永红

5.18

17日DB未复现

#6 - 2023-05-19 11:26 - CD TEST-方永红

5.19

0101版本未复现
#7 - 2023-05-22 13:38 - CD TEST-方永红

5.22

19日DB未复现

#8 - 2023-05-22 13:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305190056

#9 - 2023-05-22 13:38 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

error.txt 7.82 KB 2023-05-15 CD TEST-方永红
